package com.huigou.topsun.sap.nonProdApply.application;

import com.huigou.topsun.sap.nonProdApply.domain.NonProdApplyBaseInfo;
import com.huigou.topsun.sap.nonProdApply.domain.query.NonProdApplyBaseInfoQueryRequest;
import java.util.List;
import java.util.Map;

public interface NonProdApplyApplication{



    String PROCESS_DEFINITION_KEY = "sapNonProdApplyProc";

    String QUERY_XML_FILE_PATH="config/topsun/sap/nonProdApply/nonProdApplyBaseInfo.xml";


    NonProdApplyBaseInfo loadNonProdApplyBaseInfoById(String id);

    Map<String, Object> slicedNonProdApplyBaseInfoQuery(NonProdApplyBaseInfoQueryRequest query);

    void deleteNonProdApplyBaseInfoById(String id);
    void deleteNonProdApplyBaseInfoByIds(List<String> ids);
}